1. Authentication
Privage Open API
Open API V2
  • Open API
  • Open API V2
  • Welcome to Privage Open API Documents (In-development)
  • Authentication
    • Generate Exchange Token
      POST
    • Exchange Access Token
      POST
    • Renew Access Token
      POST
    • Get Access Token
      POST
  • Extension Config
    • Get Current Add-On status
      GET
  • Campaigns
    • Get Campaign
      GET
  • Member Profiles
    • Get Profile
      GET
  • Transactions
    • Get Transaction
      GET
    • Add Point
      POST
    • Burn Point
      POST
    • Void Transaction By Id
      DELETE
    • Void Transaction By RefNo
      DELETE
    • Void Transaction By RefId
      DELETE
  • Coupons
    • Get Coupon Set
      GET
    • Create Coupon Set
      POST
    • Give Coupon to Member ID
      POST
    • Get Give Coupon History
      GET
    • Void Give Coupon
      DELETE
    • Check Coupon
      GET
    • Mark Use Coupon
      POST
  1. Authentication

Generate Exchange Token

สำหรับผู้ใช้ทั่วไป (Privage Open API)
https://core.privageapp.com
สำหรับผู้ใช้ทั่วไป (Privage Open API)
https://core.privageapp.com
POST
/v1/auth-connect/exchange-token
สร้าง exchange token ที่ใช้ได้ 1 ครั้ง (อายุ 60 วินาที) สำหรับ Management Site ส่งให้ iframe ของ add-on แปลงเป็น access + refresh token ต่อไป
ต้องมี: JWT ของผู้ใช้ Management Site (ไม่ใช่ connect JWT)

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Exchange token (single-use, 60s TTL)
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://core.privageapp.com/v1/auth-connect/exchange-token' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "appconnect_id": 0,
    "business_code": "string"
}'
Response Response Example
{
    "exchange_token": "7d21d79f-548f-4749-9eb3-1a3e13e8d432"
}
Modified at 2026-04-19 14:06:31
Previous
Welcome to Privage Open API Documents (In-development)
Next
Exchange Access Token
Built with